import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { RPCService } from '@loafer/ng-rpc';
import { MetaTargetTypeCategoryMapping } from '@overflow/commons-typescript/model/meta';

@Injectable()
export class MetaTargetTypeCategoryMappingService {

  public constructor(
    private rpcService: RPCService,
  ) {

  }

  public readAll(): Observable<MetaTargetTypeCategoryMapping[]> {
    return this.rpcService.call<MetaTargetTypeCategoryMapping[]>('MetaTargetTypeCategoryMappingService.readAll');
  }
}
